VersionedValue.VersionedValueFactory (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.gms

## Class VersionedValue.VersionedValueFactory

- java.lang.Object
- - org.apache.cassandra.gms.VersionedValue.VersionedValueFactory

- Enclosing class:
    VersionedValue

      public static class VersionedValue.VersionedValueFactory
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VersionedValueFactory(IPartitioner partitioner)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `VersionedValue` | `bootReplacing(java.net.InetAddress oldNode)`
    `VersionedValue` | `bootstrapping(java.util.Collection<Token> tokens)`
    `VersionedValue` | `cloneWithHigherVersion(VersionedValue value)`
    `VersionedValue` | `datacenter(java.lang.String dcId)`
    `VersionedValue` | `hibernate(boolean value)`
    `VersionedValue` | `hostId(java.util.UUID hostId)`
    `VersionedValue` | `internalIP(java.lang.String private_ip)`
    `VersionedValue` | `leaving(java.util.Collection<Token> tokens)`
    `VersionedValue` | `left(java.util.Collection<Token> tokens, long expireTime)`
    `VersionedValue` | `load(double load)`
    `VersionedValue` | `moving(Token token)`
    `VersionedValue` | `networkVersion()`
    `VersionedValue` | `normal(java.util.Collection<Token> tokens)`
    `VersionedValue` | `rack(java.lang.String rackId)`
    `VersionedValue` | `releaseVersion()`
    `VersionedValue` | `removalCoordinator(java.util.UUID hostId)`
    `VersionedValue` | `removedNonlocal(java.util.UUID hostId, long expireTime)`
    `VersionedValue` | `removingNonlocal(java.util.UUID hostId)`
    `VersionedValue` | `rpcaddress(java.net.InetAddress endpoint)`
    `VersionedValue` | `rpcReady(boolean value)`
    `VersionedValue` | `schema(java.util.UUID newVersion)`
    `VersionedValue` | `severity(double value)`
    `VersionedValue` | `shutdown(boolean value)`
    `VersionedValue` | `tokens(java.util.Collection<Token> tokens)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VersionedValueFactory

          public VersionedValueFactory(IPartitioner partitioner)

  - ### Method Detail

    - #### cloneWithHigherVersion

          public VersionedValue cloneWithHigherVersion(VersionedValue value)

    - #### bootReplacing

          public VersionedValue bootReplacing(java.net.InetAddress oldNode)

    - #### bootstrapping

          public VersionedValue bootstrapping(java.util.Collection<Token> tokens)

    - #### normal

          public VersionedValue normal(java.util.Collection<Token> tokens)

    - #### load

          public VersionedValue load(double load)

    - #### schema

          public VersionedValue schema(java.util.UUID newVersion)

    - #### leaving

          public VersionedValue leaving(java.util.Collection<Token> tokens)

    - #### left

          public VersionedValue left(java.util.Collection<Token> tokens,
                                     long expireTime)

    - #### moving

          public VersionedValue moving(Token token)

    - #### hostId

          public VersionedValue hostId(java.util.UUID hostId)

    - #### tokens

          public VersionedValue tokens(java.util.Collection<Token> tokens)

    - #### removingNonlocal

          public VersionedValue removingNonlocal(java.util.UUID hostId)

    - #### removedNonlocal

          public VersionedValue removedNonlocal(java.util.UUID hostId,
                                                long expireTime)

    - #### removalCoordinator

          public VersionedValue removalCoordinator(java.util.UUID hostId)

    - #### hibernate

          public VersionedValue hibernate(boolean value)

    - #### rpcReady

          public VersionedValue rpcReady(boolean value)

    - #### shutdown

          public VersionedValue shutdown(boolean value)

    - #### datacenter

          public VersionedValue datacenter(java.lang.String dcId)

    - #### rack

          public VersionedValue rack(java.lang.String rackId)

    - #### rpcaddress

          public VersionedValue rpcaddress(java.net.InetAddress endpoint)

    - #### releaseVersion

          public VersionedValue releaseVersion()

    - #### networkVersion

          public VersionedValue networkVersion()

    - #### internalIP

          public VersionedValue internalIP(java.lang.String private_ip)

    - #### severity

          public VersionedValue severity(double value)

Copyright © 2018 The Apache Software Foundation